- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/campaigns/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/campaigns/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/campaigns/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/campaigns/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/campaigns/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/campaigns/list#body.CampaignsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/campaigns/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/campaigns/list#try-it)

Retrieves a list of campaigns, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/campaigns`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only campaigns with these IDs. |
| `advertiserIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only campaigns that belong to these advertisers. |
| `advertiserGroupIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only campaigns whose advertisers belong to these advertiser groups. |
| `archived` | `boolean` Select only archived campaigns. Don't set this field to select both archived and non-archived campaigns. |
| `overriddenEventTagId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only campaigns that have overridden this event tag ID. |
| `subaccountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only campaigns that belong to this subaccount. |
| `atLeastOneOptimizationActivity` | `boolean` Select only campaigns that have at least one optimization activity. |
| `searchString` | `string` Allows searching for campaigns by name or ID. Wildcards (`*`) are allowed. For example, `"campaign*2015"` will return campaigns with names like `"campaign June 2015"`, `"campaign April 2015"`, or simply `"campaign 2015"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"campaign"` will match campaigns with name `"my campaign"`, `"campaign 2015"`, or simply `"campaign"`. |
| `excludedIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Exclude campaigns with these IDs. |
| `maxResults` | `integer` Maximum number of results to return. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Campaign campaigns.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "campaigns": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/campaigns#Campaign`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#campaignsListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `campaigns[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/campaigns#Campaign`)`` Campaign collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`